%define majver %(echo %version | cut -d. -f1-2)

Name:          breeze
Version:       5.12.3
Release:       1mamba
Summary:       Breeze Dark Desktop Design Language by the KDE VDG
Group:         Graphical Desktop/Look 'n' feel
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/plasma/%{version}/breeze-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdecoration-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      breeze-icons
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Breeze Dark Desktop Design Language by the KDE VDG.

%package kde4
Summary:       Breeze Dark Desktop theme for KDE4
Group:         Graphical Desktop/Look 'n' feel
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description kde4
Breeze Dark Desktop Design Language by the KDE VDG for KDE4.

%debug_package

%prep
%setup -q
#-D -T

%build
%cmake_kde5 -d build
%make

cd ..

%cmake_kde4 -d build-kde4 \
   -DUSE_KDE4=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build
%makeinstall -C build-kde4

install -d -m0755 %{buildroot}%{_kde4_datadir}/QtCurve
mv %{buildroot}%{_datadir}/QtCurve/Breeze.qtcurve %{buildroot}%{_kde4_datadir}/QtCurve/Breeze.qtcurve

install -d -m0755 %{buildroot}%{_kde4_libdir}/kconf_update_bin
ln -s %{_kde5_libdir}/kconf_update_bin/kde4breeze %{buildroot}%{_kde4_libdir}/kconf_update_bin/kde4breeze

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_bindir}/breeze-settings5
%{_libdir}/kconf_update_bin/kde4breeze
%{_libdir}/qt5/plugins/kstyle_breeze_config.so
%{_libdir}/qt5/plugins/org.kde.kdecoration2/breezedecoration.so
%{_libdir}/qt5/plugins/styles/breeze.so
%dir %{_libdir}/qt5/qml/QtQuick/Controls/Styles/Breeze
%{_libdir}/qt5/qml/QtQuick/Controls/Styles/Breeze/*
%{_datadir}/metainfo/org.kde.breezedark.desktop.appdata.xml
%{_datadir}/color-schemes/Breeze.colors
%{_datadir}/color-schemes/BreezeDark.colors
%{_datadir}/color-schemes/BreezeHighContrast.colors
%dir %{_datadir}/icons/Breeze_Snow
%dir %{_datadir}/icons/Breeze_Snow/cursors
%{_datadir}/icons/Breeze_Snow/cursors/*
%{_datadir}/icons/Breeze_Snow/index.theme
%dir %{_datadir}/icons/breeze_cursors/cursors
%{_datadir}/icons/breeze_cursors/cursors/*
%{_datadir}/icons/breeze_cursors/index.theme
%{_datadir}/icons/hicolor/scalable/apps/breeze-settings.svgz
%{_datadir}/kconf_update/kde4breeze.upd
%{_datadir}/kservices5/*.desktop
%{_datadir}/kstyle/themes/breeze.themerc
%dir %{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop
%{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/*
%{_datadir}/wallpapers/Next/contents/images/*.png
%{_datadir}/wallpapers/Next/contents/screenshot.png
%{_datadir}/wallpapers/Next/metadata.desktop
%dir %{_libdir}/cmake/Breeze
%{_libdir}/cmake/Breeze/Breeze*.cmake
%doc AUTHORS COPYING

%files kde4
%defattr(-,root,root)
%{_kde4_libdir}/kde4/kstyle_breeze_config.so
%{_kde4_datadir}/QtCurve/Breeze.qtcurve
%{_kde4_libdir}/kconf_update_bin/kde4breeze
%{_kde4_pluginsdir}/styles/breeze.so
%{_kde4_datadir}/kstyle/themes/breeze.themerc

%changelog
* Tue Mar 06 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Wed Feb 21 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Wed Feb 14 2018 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 5.11.5-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Tue Nov 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Wed Oct 11 2017 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Wed Aug 23 2017 Automatic Build System <autodist@mambasoft.it> 5.10.5-1mamba
- automatic version update by autodist

* Tue Jul 18 2017 Automatic Build System <autodist@mambasoft.it> 5.10.4-1mamba
- automatic version update by autodist

* Wed Jun 28 2017 Automatic Build System <autodist@mambasoft.it> 5.10.3-1mamba
- automatic version update by autodist

* Wed Jun 14 2017 Automatic Build System <autodist@mambasoft.it> 5.10.2-1mamba
- automatic version update by autodist

* Tue Jun 06 2017 Automatic Build System <autodist@mambasoft.it> 5.10.1-1mamba
- automatic version update by autodist

* Fri Jun 02 2017 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Tue Apr 25 2017 Automatic Build System <autodist@mambasoft.it> 5.9.5-1mamba
- automatic version update by autodist

* Tue Mar 21 2017 Automatic Build System <autodist@mambasoft.it> 5.9.4-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 5.9.3-1mamba
- automatic version update by autodist

* Tue Feb 07 2017 Automatic Build System <autodist@mambasoft.it> 5.9.1-1mamba
- automatic version update by autodist

* Fri Feb 03 2017 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Wed Dec 28 2016 Automatic Build System <autodist@mambasoft.it> 5.8.5-1mamba
- automatic version update by autodist

* Tue Nov 22 2016 Automatic Build System <autodist@mambasoft.it> 5.8.4-1mamba
- automatic version update by autodist

* Tue Nov 01 2016 Automatic Build System <autodist@mambasoft.it> 5.8.3-1mamba
- automatic version update by autodist

* Tue Oct 18 2016 Automatic Build System <autodist@mambasoft.it> 5.8.2-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 5.8.1-1mamba
- automatic version update by autodist

* Thu Oct 06 2016 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 5.7.5-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 5.7.4-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.7.3-2mamba
- move or link components to support kde4/kde5 different prefixes

* Tue Aug 02 2016 Automatic Build System <autodist@mambasoft.it> 5.7.3-1mamba
- automatic version update by autodist

* Wed Jul 20 2016 Automatic Build System <autodist@mambasoft.it> 5.7.2-1mamba
- automatic version update by autodist

* Tue Jul 12 2016 Automatic Build System <autodist@mambasoft.it> 5.7.1-1mamba
- automatic version update by autodist

* Sat Jul 09 2016 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Tue Jun 14 2016 Automatic Build System <autodist@mambasoft.it> 5.6.5-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 5.6.4-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 5.6.3-1mamba
- automatic version update by autodist

* Tue Apr 05 2016 Automatic Build System <autodist@mambasoft.it> 5.6.2-1mamba
- automatic version update by autodist

* Tue Mar 29 2016 Automatic Build System <autodist@mambasoft.it> 5.6.1-1mamba
- automatic version update by autodist

* Sun Mar 27 2016 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 5.5.5-1mamba
- automatic version update by autodist

* Wed Jan 27 2016 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Thu Jan 07 2016 Automatic Build System <autodist@mambasoft.it> 5.5.3-1mamba
- automatic version update by autodist

* Fri Dec 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-2mamba
- added -kde4 subpackage

* Fri Dec 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-1mamba
- package created using the webbuild interface
